#include "game_palette.h"

void game_palette_init() {
    // Pico 8 palette
    sys_spal_set(0x00, 0x000000ff);
    sys_spal_set(0x01, 0x1d2b53ff);
    sys_spal_set(0x02, 0x7e2553ff);
    sys_spal_set(0x03, 0x008751ff);
    sys_spal_set(0x04, 0xab5236ff);
    sys_spal_set(0x05, 0x5f574fff);
    sys_spal_set(0x06, 0xc2c3c7ff);
    sys_spal_set(0x07, 0xfff1e8ff);
    sys_spal_set(0x08, 0xff004dff);
    sys_spal_set(0x09, 0xffa300ff);
    sys_spal_set(0x0a, 0xffec27ff);
    sys_spal_set(0x0b, 0x00e436ff);
    sys_spal_set(0x0c, 0x29adffff);
    sys_spal_set(0x0d, 0x83769cff);
    sys_spal_set(0x0e, 0xff77a8ff);
    sys_spal_set(0x0f, 0xffccaaff);
}